## inspircd 2.0.27

=== debian/changelog ===
inspircd (2.0.27-1) unstable; urgency=medium

  * New upstream version 2.0.27 (Closes: #910462)
  * Add myself to uploaders

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 25 Feb 2019 21:28:51 +0100

inspircd (2.0.24-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Fix maintainer address. Closes: #899965
  * Remove alioth references and all uploaders who did not contribute
    in this decade

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 17 Jun 2018 21:06:10 +0200
