=== debian/changelog ===
inspircd (3.4.0-2ubuntu1) focal; urgency=low

  [ Joel Sing ]
  * Merge from Debian unstable (LP: #1865518). Remaining changes:
    - d/p/15_ldapauth_logging.diff (rewritten against 3.4)
  * Drop changes:
    - d/p/20_close-open-logs-on-rehash.diff: functionality now available
      upstream.

  [ Robie Basak ]
  * d/rules: reenable m_ldap and m_regex_stdlib.cpp to prevent regression in
    shipped modules. Thanks to Joel Sing. Closes: #953259.

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 06 Mar 2020 23:26:40 +0000

inspircd (3.4.0-2) unstable; urgency=medium

  * Fix the pidfile location for apparmor support. Closes: #947281

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 24 Dec 2019 21:25:26 +0100

inspircd (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0
  * Restore GeoIP support. Closes: #936039
  * Remove Guillaume Delacour from uploaders, thanks for all your
    work on that package.

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 01 Nov 2019 12:38:53 +0100

inspircd (3.3.0-1) unstable; urgency=medium

  * New upstream version 3.3.0

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 24 Aug 2019 20:17:53 +0200

inspircd (3.2.0-1) unstable; urgency=medium

  * New upstream version 3.2.0. Closes: #870858, #928759

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 05 Aug 2019 21:11:33 +0200

inspircd (2.0.27-1ubuntu2) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 12 Aug 2019 02:01:04 +0000

inspircd (2.0.27-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + 15_ldapauth_logging.diff
    + 20_close-open-logs-on-rehash.diff

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Mar 2019 14:42:57 +0100

inspircd (2.0.24-1.1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + 15_ldapauth_logging.diff
    + 20_close-open-logs-on-rehash.diff

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Jun 2018 16:11:20 +0200
