=== debian/control ===
Source: inspircd
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Homepage: https://www.inspircd.org/
Standards-Version: 4.4.1
Build-Depends: debhelper-compat (= 12),
    default-libmysqlclient-dev,
    dh-apparmor,
    libgnutls28-dev,
    libhttp-parser-dev (>= 2.9),
    libldap2-dev,
    libmaxminddb-dev,
    libpcre3-dev,
    libpq-dev,
    libsqlite3-dev,
    libtre-dev,
    perl,
    pkg-config,
    zlib1g-dev,
Priority: optional
Section: net

Package: inspircd
Architecture: any
Pre-Depends:
    ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
    lsb-base,
Suggests:
    default-mysql-server,
    gnutls-bin,
    ldap-server,
    postgresql,
    sqlite3,
Provides:
    ircd,
Description: Modular IRCd written in C++
 InspIRCd is a modular C++ IRC Daemon for several operating systems created
 to provide a stable, modern, lightweight irc server from scratch and provide
 a vast number of features in a modularised form using an advanced module API.
 By keeping the functionality of the main core to a minimum, the server is very
 stable, fast and customizable.
 .
 This package contains the daemon.

Package: inspircd-dev
Architecture: all
Depends: ${misc:Depends},
Multi-Arch: foreign
Description: Modular IRCd written in C++ - development headers
 InspIRCd is a modular C++ IRC Daemon for several operating systems created
 to provide a stable, modern, lightweight irc server from scratch and provide
 a vast number of features in a modularised form using an advanced module API.
 By keeping the functionality of the main core to a minimum, the server is very
 stable, fast and customizable.
 .
 This package contains the development headers for developing modules.
