## inspircd 3.8.1

=== win/CMakeLists.txt ===
--- 
+++ 
@@ -47,6 +47,13 @@
 "${INSPIRCD_BASE}/src/socketengines/socketengine_select.cpp"
 "${INSPIRCD_BASE}/src/threadengines/threadengine_win32.cpp")
 list(SORT INSPIRCD_SOURCES)
+
+file(GLOB INSPIRCD_VENDORS "${INSPIRCD_BASE}/vendor/**")
+foreach(INSPIRCD_VENDOR ${INSPIRCD_VENDORS})
+	if(IS_DIRECTORY ${INSPIRCD_VENDOR})
+		include_directories(${INSPIRCD_VENDOR})
+	endif()
+endforeach()
 
 include_directories("${INSPIRCD_BASE}/win" "${INSPIRCD_BASE}/include")
