=== debian/changelog ===
inspircd (3.8.1-2) unstable; urgency=medium

  * Suggest 'geoip-database' as mentioned in #955479
  * Use /usr/bin/perl for 'inspircd-testssl'
  * New patch: stop suppressing stderr for some 'make' commands
  * Force /usr/lib/inspircd/inspircd executable, irrespective of umask
  * debian/patches: ship fix for SA-2021-01 cfr. https://docs.inspircd.org/security/2021-01/

 -- Filippo Giunchedi <filippo@debian.org>  Mon, 24 May 2021 09:42:36 +0200

inspircd (3.8.1-1) unstable; urgency=medium

  * New upstream release

 -- Filippo Giunchedi <filippo@debian.org>  Fri, 27 Nov 2020 15:43:06 +0100

inspircd (3.8.0-1) unstable; urgency=medium

  * New upstream release (Closes: #960650)
  * List all wanted extras, and fail if their dependencies are missing.
  * Restore missing extras (Closes: #953259)
  * Point VCS control fields to salsa.d.o repo
  * Set myself as Maintainer
  * Link httpd module with http_parser (Closes: #951339)

 -- Filippo Giunchedi <filippo@debian.org>  Fri, 20 Nov 2020 15:56:44 +0100
