=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: inspircd
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
+Maintainer: Filippo Giunchedi <filippo@debian.org>
 Homepage: https://www.inspircd.org/
 Standards-Version: 4.4.1
 Build-Depends: debhelper-compat (= 12),
@@ -14,11 +13,15 @@
     libpq-dev,
     libsqlite3-dev,
     libtre-dev,
+    libre2-dev,
+    libargon2-dev,
     perl,
     pkg-config,
     zlib1g-dev,
 Priority: optional
 Section: net
+Vcs-Browser: https://salsa.debian.org/debian/inspircd
+Vcs-Git: https://salsa.debian.org/debian/inspircd.git
 
 Package: inspircd
 Architecture: any
@@ -32,6 +35,7 @@
     ldap-server,
     postgresql,
     sqlite3,
+    geoip-database,
 Provides:
     ircd,
 Description: Modular IRCd written in C++
