=== debian/rules ===
--- 
+++ 
@@ -23,16 +23,17 @@
 
 override_dh_auto_configure:
 	./configure --disable-interactive \
+		--enable-extras argon2,geo_maxmind,ldap,mysql,pgsql,regex_pcre,regex_posix,regex_re2,regex_stdlib,regex_tre,sqlite3,ssl_gnutls,sslrehashsignal
+	./configure --disable-interactive \
 		--uid=irc \
 		--gid=irc \
+		--disable-auto-extras \
 		--prefix=/usr/lib/inspircd \
 		--config-dir=/etc/inspircd \
 		--module-dir=/usr/lib/inspircd/modules \
 		--example-dir=/usr/share/doc/inspircd/examples \
 		--data-dir=/var/run/inspircd \
 		--binary-dir=/usr/sbin
-	./configure --disable-interactive \
-		--enable-extras=m_ldap.cpp,m_regex_stdlib.cpp
 
 override_dh_auto_build:
 	dh_auto_build -- INSPIRCD_VERBOSE=1 all
@@ -41,11 +42,15 @@
 	dh_auto_install
 	dh_apparmor --profile-name=usr.sbin.inspircd -pinspircd
 
+	# Make sure the Perl service wrapper is executable
+	chmod 755 $(CURDIR)/debian/tmp/usr/lib/inspircd/inspircd
+
 override_dh_installman:
 	mkdir build-man/
 	for man in \
 		inspircd.1 \
-		inspircd-genssl.1 ; \
+		inspircd-genssl.1 \
+		inspircd-testssl.1 ; \
 	do \
 		sed -e 's/"1"/"8"/' \
 			<"debian/tmp/usr/lib/inspircd/manuals/$$man" \
