=== debian/changelog ===
inspircd (3.12.0-1build1) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:03:47 +0000

inspircd (3.12.0-1) unstable; urgency=medium

  * New upstream release (Closes: #994813)
    + drop SA-2021-01 patch, applied upstream
    + refresh patches

  * Packaging improvements by Sadie Powell, including:
    + updated configuration
    + Depend on gnutls-bin at runtime
    + do not Suggest geoip-database since geoip v1 databases are not
    compatible with libmaxminddb

 -- Filippo Giunchedi <filippo@debian.org>  Sun, 09 Jan 2022 15:57:17 +0100
