=== debian/control ===
--- 
+++ 
@@ -28,14 +28,14 @@
 Pre-Depends:
     ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
+    gnutls-bin,
+    libio-socket-ssl-perl,
     lsb-base,
 Suggests:
     default-mysql-server,
-    gnutls-bin,
     ldap-server,
     postgresql,
     sqlite3,
-    geoip-database,
 Provides:
     ircd,
 Description: Modular IRCd written in C++
