=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,7 @@
 		--uid=irc \
 		--gid=irc \
 		--disable-auto-extras \
+		--distribution-label=debian \
 		--prefix=/usr/lib/inspircd \
 		--config-dir=/etc/inspircd \
 		--module-dir=/usr/lib/inspircd/modules \
