=== debian/changelog ===
inspircd (3.15.0-1) unstable; urgency=medium

  * New upstream release
    + build libpcre2-dev, not libpcre3-dev (Closes: #1000104)
    + ship upstream apparmor configuration (Closes: #955479)
  * apparmor: allow local includes, part of #955479

 -- Filippo Giunchedi <filippo@debian.org>  Sun, 15 Jan 2023 16:05:01 +0100
