=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Build-Depends: debhelper-compat (= 12),
     default-libmysqlclient-dev,
     dh-apparmor,
+    dh-exec,
     libgnutls28-dev,
     libhttp-parser-dev (>= 2.9),
     libldap2-dev,
     libmaxminddb-dev,
-    libpcre3-dev,
+    libpcre2-dev,
     libpq-dev,
     libsqlite3-dev,
     libtre-dev,
