=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 override_dh_auto_configure:
 	./configure --disable-interactive \
-		--enable-extras argon2,geo_maxmind,ldap,mysql,pgsql,regex_pcre,regex_posix,regex_re2,regex_stdlib,regex_tre,sqlite3,ssl_gnutls,sslrehashsignal
+		--enable-extras argon2,geo_maxmind,ldap,mysql,pgsql,regex_pcre2,regex_posix,regex_re2,regex_stdlib,regex_tre,sqlite3,ssl_gnutls,sslrehashsignal
 	./configure --disable-interactive \
 		--uid=irc \
 		--gid=irc \
