## inspircd 3.17.0

=== win/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,25 @@
+#
+# InspIRCd -- Internet Relay Chat Daemon
+#
+#   Copyright (C) 2019 Robby <robby@chatbelgie.be>
+#   Copyright (C) 2015, 2018-2019, 2022 Sadie Powell <sadie@witchery.services>
+#   Copyright (C) 2013-2014, 2017 Adam <Adam@anope.org>
+#   Copyright (C) 2013-2014 Attila Molnar <attilamolnar@hush.com>
+#
+# This file is part of InspIRCd.  InspIRCd is free software: you can
+# redistribute it and/or modify it under the terms of the GNU General Public
+# License as published by the Free Software Foundation, version 2.
+#
+# This program is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
+# details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
+
 cmake_minimum_required(VERSION 3.8 FATAL_ERROR)
 
 project(InspIRCd CXX)
