=== debian/changelog ===
inspircd (3.17.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:25:28 +0000

inspircd (3.17.0-1build1) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:06:22 +0000

inspircd (3.17.0-1) unstable; urgency=medium

  * New upstream release
    + Remove deprecated directives from default configuration file
  * Allow apparmor access to /var/log/inspircd.log (Closes: #1040954)

 -- Filippo Giunchedi <filippo@debian.org>  Sun, 21 Jan 2024 17:01:14 +0100
