=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: inspircd
-Maintainer: Filippo Giunchedi <filippo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Filippo Giunchedi <filippo@debian.org>
 Homepage: https://www.inspircd.org/
 Standards-Version: 4.4.1
 Build-Depends: debhelper-compat (= 12),
@@ -31,7 +32,6 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
     gnutls-bin,
     libio-socket-ssl-perl,
-    lsb-base,
 Suggests:
     default-mysql-server,
     ldap-server,
