=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,7 @@
 	chmod 755 $(CURDIR)/debian/tmp/usr/lib/inspircd/inspircd
 
 override_dh_installman:
-	mkdir build-man/
+	install -d build-man/
 	for man in \
 		inspircd.1 \
 		inspircd-genssl.1 \
