=== debian/watch ===
version=4
https://github.com/inspircd/inspircd/tags \
  /inspircd/inspircd/archive/refs/tags/v([0-9.]+)\.tar\.gz
