=== debian/changelog ===
inspircd (4.7.0+ds1-2build1) questing; urgency=medium

  * Rebuild against latest abseil

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 04 May 2025 08:17:21 -0400

inspircd (4.7.0+ds1-2) unstable; urgency=medium

  * Clean contrib modules in debian/rules

 -- Filippo Giunchedi <filippo@debian.org>  Wed, 02 Apr 2025 13:01:46 +0200

inspircd (4.7.0+ds1-1) unstable; urgency=medium

  * New upstream version

 -- Filippo Giunchedi <filippo@debian.org>  Sun, 30 Mar 2025 18:23:48 +0200

inspircd (4.6.0+ds1-1) unstable; urgency=medium

  * New upstream release (Closes: #1099209)
    + Change 'admin:nick' to 'admin:description' in inspircd.conf
    + 'regex_pcre' removed in favor of 'regex_pcre2'
    + 'regex_tre' removed
    + New modules: 'log_syslog' and 'log_json'
    + See also https://docs.inspircd.org/4/overview/
  * The inspircd-genssl binary is no longer shipped upstream
  * Include Debian package version in ./configure --distribution-label
  * The +ds1 source package contains a contrib/ git subtree from
    https://github.com/inspircd/inspircd-contrib used to ship a selection of
    modules.

 -- Filippo Giunchedi <filippo@debian.org>  Wed, 26 Mar 2025 22:01:17 +0100
