=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: inspircd
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Filippo Giunchedi <filippo@debian.org>
+Maintainer: Filippo Giunchedi <filippo@debian.org>
 Homepage: https://www.inspircd.org/
 Standards-Version: 4.4.1
 Build-Depends: debhelper-compat (= 12),
@@ -9,16 +8,17 @@
     dh-exec,
     libgnutls28-dev,
     libhttp-parser-dev (>= 2.9),
+    libutfcpp-dev,
     libldap2-dev,
     libmaxminddb-dev,
     libpcre2-dev,
     libpq-dev,
     libsqlite3-dev,
-    libtre-dev,
     libre2-dev,
     libargon2-dev,
+    libyyjson-dev | librapidjson-dev,
     perl,
-    pkg-config,
+    pkgconf,
     zlib1g-dev,
 Priority: optional
 Section: net
